de.esprit.appsuite.task

## Interface LocalCancellableTask

- All Superinterfaces:
    CancellableTask, TaskIdHolder
  All Known Subinterfaces:
    AsyncTask<C>, JournalTask<S>, RemoteTask<S>, RemoteTaskEventReceiver<C>, WorkflowTask<C>
  All Known Implementing Classes:
    AbstractAsciiDownloadTask, AbstractAsciiParserWFT, AbstractAsyncTask, AbstractBatchTask, AbstractBinaryDownloadTask, AbstractClientEDT, AbstractClientTask, AbstractClientWFT, AbstractClientWorkflow, AbstractDatabaseBatchTask, AbstractDataParserWFT, AbstractDownloadTask, AbstractEventDrivenWFT, AbstractFileStreamWFT, AbstractJavaCommandWFT, AbstractJournalOsProcessTask, AbstractJournalTask, AbstractOsProcessTask, AbstractOsProcessWFT, AbstractRemoteOsProcessTask, AbstractRemoteTask, AbstractServerTask, AbstractStreamParserWFT, AbstractSwingTask, AbstractTaskOptionDialogWFT, AbstractTaskOptionWFT, AbstractTimerTask, AbstractTransferService, AbstractWFT, AbstractWorkflow, AbstractZipArchiverWFT, AgentExecutorTask, AgentWatchDogTask, AppLaunchTask, AppLaunchTask.MyNativeProcessTask, ArchiveConfigDialogWFT, ArchiveExtractTask, ArchiveExtractWFT, ArchiveExtractWorkflow, ArchiveListTask, ArchiveListWFT, ArchiveListWorkflow, AsciiParserTask, CheckWorkingDirectoryWFT, CleanupWorkingDirectoryWFT, ClientCommandTask, CoClientReconnectorTask, CoServerBindTask, CreateZipArchiveWFT, CreateZipArchiveWorkflow, DataParserTask, DBLoadTask, DownloadStream, ExecutorTask, FileDownloadService, FileDownloadWFT, FileDownloadWorkflow, FileDownstreamService, FileNameInputWFT, FileTransferClientTask, FileTransferTask, FileTransferWFT, FileUploadService, FileUploadWFT, FileUploadWorkflow, GuiReconnectorTask, InputFileChooserWFT, JavaCommandTask, LogCleanupBatchTask, MessageReceiveTask, OutputFileChooserWFT, ProgressWindowExecutorTask, RemoteArchiveExtractEDT, RemoteArchiveExtractTask, RemoteArchiveExtractWFT, RemoteArchiveExtractWorkflow, RemoteArchiveListEDT, RemoteArchiveListTask, RemoteArchiveListWFT, RemoteArchiveListWorkflow, RemoteJavaCommandTask, RequestServiceTask, StdinReaderTask, SwingExecutorTask, TaskCollection, TestBatchTask, TransferServiceTask, WatchDogTask, ZipArchiverTask

      public interface LocalCancellableTask
      extends CancellableTask, TaskIdHolder

  This interface is implemented by tasks that can be cancelled.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the running task.

    - ### Methods inherited from interface de.esprit.appsuite.task.CancellableTask

      `wasCancelled`

    - ### Methods inherited from interface de.esprit.appsuite.task.TaskIdHolder

      `getTaskId`

- - ### Method Detail

    - #### cancel

          void cancel()

      Cancels the running task. Note that this call puts the task in a CANCEL_REQUESTED state. Once this happened `CancellableTask.wasCancelled()` will return true. Actually this call cancels the task's current `Future` and enforces a `CancellationException` to be thrown.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.